Statement of account V2

post
https://connect.patsnap.com/open-user/statement/v2
Try in Sandbox

Support input time range to get API calls and billing information

Only the API call information of the current account can be obtained. If the time span is long, it may take longer to return the results. Detailed records are collected from 8 o'clock every day.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
apikey
Required
stringabc123456
API Key
client_secret
Required
stringabc123456
API secret
time_start
Required
string20250101
Start date
time_end
Required
string20250301
End date

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
usage
array[ { "fee_times": 1, "used_money": 0, "usage_times": 1, "request_path": "/basic-patent-data/fulltext-image", "serial_number": "P042", "request_path_name": "<cn>[P042]全文附图</cn><us>[P042]Fulltext Image</us>" } ]
Details of usage for each billing interface
fee_times
number80
Chargeable times
used_money
number123.45
Amount used
usage_times
number100
Usage times
request_path
string/basic-patent-data/fulltext-image
API request path
serial_number
stringP042
Serial number
request_path_name
string[P042]Fulltext Image
API name
combo_usage
array[ { "url": "/ai/quick-search-report/query", "url_name": "<cn>[AI34-3]预研报告查询(Beta)</cn><us>[AI34-3]Quick-search report Query(Beta)</us>", "used_num": 21 }, { "url": "/ai/formulation-agent-query", "url_name": "<cn>[M001-2]配方助手-报告查询</cn><us>[M001-2]Formulation agent query</us>", "used_num": 7 } ]
Details of usage for each counting interface
url
string/ai/quick-search-report/query
Interface URL
url_name
string[AI34-3]Quick-search report Query(Beta)
Interface name
used_num
integer<int32>21
Usage count
usage_num
integer<int32>21
Usage count
usage_money
number100
The amount spent on the billing interface
combo_use_num
integer<int32>100
Count the usage times of the interface
combo_usage_num
integer<int32>100
The number of times the interface counts
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "usage": [
      {
        "fee_times": 80,
        "used_money": 123.45,
        "usage_times": 100,
        "request_path": "/basic-patent-data/fulltext-image",
        "serial_number": "P042",
        "request_path_name": "[P042]全文附图"
      }
    ],
    "combo_usage": [
      {
        "url": "/ai/quick-search-report/query",
        "url_name": "[AI34-3]预研报告查询(Beta)",
        "used_num": 21,
        "usage_num": 21
      }
    ],
    "usage_money": 100,
    "combo_use_num": 100,
    "combo_usage_num": 100
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
201Created
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms